<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>
<%= styled_form_tag(project_path(@project_to_destroy),
                    class: 'danger-zone',
                    method: :delete) do %>
  <section class="form--section">
    <h3 class="form--section-title">
      <%= t('project.destroy.title', name: "<em>#{h(@project_to_destroy)}</em>").html_safe %>
    </h3>
    <p>
      <%= t('project.destroy.confirmation', identifier: @project_to_destroy.identifier) %>
      <% if @project_to_destroy.descendants.any? %>
        <br/>
        <% descendants = h(@project_to_destroy.descendants.collect { |p| p.to_s }.join(', ')) %>
        <%= t('project.destroy.subprojects_confirmation', value: "<strong>#{h(descendants)}</strong>").html_safe %>
      <% end %>
    </p>
    <ul class="mb-3">
      <li> <%= t('project.destroy.project_delete_result_1') %> </li>
      <% if has_managed_project_folders?(@project_to_destroy) %>
        <li> <%= t('project.destroy.project_delete_result_2') %> </li>
      <% end %>
    </ul>
    <p class="danger-zone--warning">
      <span class="icon icon-error"></span>
      <span><%= t('project.destroy.info') %></span>
    </p>
    <p>
      <%= t('project.destroy.project_verification', name: "<em class=\"danger-zone--expected-value\">#{h(@project_to_destroy)}</em>").html_safe %>
    </p>
    <div class="danger-zone--verification">
      <input type="text">
      <%= styled_button_tag title: t(:button_delete), class: '-primary', disabled: true do
        concat content_tag :i, '', class: 'button--icon icon-delete'
        concat content_tag :span, t(:button_delete), class: 'button--text'
      end %>
      <%= link_to projects_path,
                  title: t(:button_cancel),
                  class: 'button -with-icon icon-cancel' do %>
        <%= t(:button_cancel) %>
      <% end %>
    </div>
  </section>
<% end %>
